| Disk ARchive 2.8.6 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
libdar::Elimitint Class Reference
API

exception used when a limitint overflow is detected, the maximum value of the limitint has been exceeded More...

`#include <erreurs.hpp>`

Inherits libdar::Egeneric.

## Public Member Functions
| Elimitint (const Elimitint &ref)=default
| Elimitint (Elimitint &&ref)=default
Elimitint & | operator= (const Elimitint &ref)=default
Elimitint & | operator= (Elimitint &&ref)=default
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions
virtual std::string | exceptionID () const override

## Detailed Description

exception used when a limitint overflow is detected, the maximum value of the limitint has been exceeded

the inherited get_message() method is probably the only one you will need to use

Definition at line 201 of file erreurs.hpp.

## Constructor & Destructor Documentation

## ◆ Elimitint()

libdar::Elimitint::Elimitint | ( |  | ) |
| inline

Definition at line 204 of file erreurs.hpp.

## Member Function Documentation

## ◆ exceptionID()

virtual std::string libdar::Elimitint::exceptionID | ( |  | ) | const
| inline override protected virtual

Implements libdar::Egeneric.

Definition at line 212 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp